Skip to main content
`Ctrl`+`K`

# TaoMonitorDefaultShort

Routine for monitoring progress of `TaoSolve()` that displays fewer digits than `TaoMonitorDefault()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorDefaultShort(Tao tao, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- tao - the `Tao` context

- vf - `PetscViewerAndFormat` context

## Options Database Key

- -tao_monitor_short - turn on default short monitoring

## Note

Same as `TaoMonitorDefault()` except it prints fewer digits of the residual as the residual gets smaller. This is because the later digits are meaningless and are often different on different machines; by using this routine different machines will usually generate the same output.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorDefault()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages